Bug 89895 - redhat-config-users traceback adding users without private group
redhat-config-users traceback adding users without private group
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
: 89319 116999 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2003-04-29 11:11 EDT by Jim Shanks
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.5-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-19 19:09:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jim Shanks 2003-04-29 11:11:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
When adding a user with a home directory other than default (i.e.
/home/users/username) and with a uid manually specified; if you "turn-off" the
"Create private group for user" option, redhat-config-users gui hangs and the
following traceback is displayed:

Traceback (most recent call last):
  File "/usr/share/redhat-config-users/userWindow.py", line 315, in
    self.addToUsersGroup(userEnt, userName)
  File "/usr/share/redhat-config-users/userWindow.py", line 332, in addToUsersGroup
    cn = groupEnt.get(libuser.GROUPNAME)[0]
AttributeError: 'NoneType' object has no attribute 'get'

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. choose "Add User" in redhat-config-users
2. specify the user directory and uid manually
3. turn off (uncheck) Create private group and press "OK"

Actual Results:  Add user window goes grey and appears to be working (forever).
 No user is added.  Traceback is displayed if redhat-config-users is started in
a terminal window.

Expected Results:  Should add user.

Additional info:  redhat-config-users will not function after the traceback. 
Have to close the program and restart.
Comment 1 Jim Shanks 2003-04-29 11:26:44 EDT
I spoke too soon!  The problem is that the initial installation did not create
the group "users, gid=100".  I'm not sure which component creates the group
during install.  The only thing that I did abnormally during the install was to
not create a user (because I wanted to specify the uid manually).

redhat-config-users should test for the existence of the group "users" before
trying to use it and at least display a nice error (The default group "users"
doesn't exist.  Shall I create it?) instead of crashing.
Comment 2 Matthew Miller 2003-05-09 14:54:06 EDT
The group "users" is part of the default file written by the setup package (e.g.
setup-2.5.25-1.noarch.rpm in RHL 9). It should pretty much always be there.
That's not to say that redhat-config-users should crash if it isn't, of course.
Comment 3 Brent Fox 2003-05-19 18:27:17 EDT
The 'users' group should always get created.  I cannot explain why it didn't get
created on installation on your system.  

I will try to change redhat-config-users to try to create this group if it
doesn't exist.  However, my feeling is that the absence of the 'users' group
most likely a problem of some sort with your system.  
Comment 4 Brent Fox 2003-05-19 18:28:21 EDT
*** Bug 89319 has been marked as a duplicate of this bug. ***
Comment 5 Brent Fox 2003-05-19 19:01:21 EDT
Actually, I think bug #78620 is causing the 'users' group to get deleted. 
Should be fixed in Rawhide.  I'm working on making redhat-config-users
automatically recreate the users group in case it doesn't exist when you try to
add a new user to the 'users' group.
Comment 6 Brent Fox 2003-05-19 19:09:07 EDT
Should be fixed in redhat-config-users-1.1.5-9 in Rawhide.
Comment 7 Brent Fox 2004-03-11 14:45:01 EST
*** Bug 116999 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.